> ## Documentation Index
> Fetch the complete documentation index at: https://developers.logicgate.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a workflow

> **Permissions:** [Build Access to parent application](https://help.logicgate.com/hc/en-us/articles/4402683190164-Control-Build-Access-for-Applications)

Delete a workflow specified by the ID in the URL path.



## OpenAPI

````yaml DELETE /api/v2/workflows/{id}
openapi: 3.1.0
info:
  title: Risk Cloud API
  description: >-
    Welcome to the Risk Cloud API v2! This is a collection of new API-first and
    RESTful API endpoints to streamline the creation of custom integrations with
    the Risk Cloud.


    For the API documentation of our legacy API v1 endpoints, reference [Risk
    Cloud API v1](https://docs.logicgate.com/v1/index.html).
  contact:
    name: developer-relations@logicgate.com
    email: developer-relations@logicgate.com
  version: v2026.7.0
servers:
  - url: https://{subdomain}.logicgate.com
    description: Your Risk Cloud environment.
    variables:
      subdomain:
        default: your-instance
        description: Your Risk Cloud environment's subdomain (e.g. `qa`).
security:
  - ApiToken: []
  - basic: []
tags:
  - name: Authentication
    description: >-
      Getting Started: How to create an [API Access
      Token](https://www.logicgate.com/developer/risk-cloud-api-authentication/)
      to begin integrating with the Risk Cloud API
  - name: Access Audit
    description: >-
      An Access Audit captures information about access related events such as
      logins and logouts associated with a user.
  - name: Application
    description: >-
      An
      [Application](https://help.logicgate.com/hc/en-us/articles/4402674055572-Create-a-new-Application)
      is a collection of Workflows, Steps, and logic that collectively solve a
      business use case
  - name: Edge Path
    description: >-
      A [Conditional Edge
      Path](https://help.logicgate.com/hc/en-us/articles/4402683114004-Work-with-Paths#conditional-edge-paths)
      defines an alternative route that a Record might need to follow if
      specific conditions are met.
  - name: Field
    description: >-
      A
      [Field](https://help.logicgate.com/hc/en-us/articles/4402674064020-Create-Fields)
      is used to capture information from and display information to users in a
      Workflow
  - name: Next Path
    description: >-
      API endpoints for determining the next path(s) in a workflow, including
      routing and step information.
  - name: Record
    description: >-
      A
      [Record](https://help.logicgate.com/hc/en-us/articles/4402683104020-Complete-a-Record)
      is a form that can capture information, store cataloged data, and link to
      other Records as it moves through each Step of a Workflow
  - name: Redirect Path
    description: >-
      A [Redirect
      Path](https://help.logicgate.com/hc/en-us/articles/4402683115156-Selected-Redirects)
      gives end users access to Redirect a Record to any Step in the Workflow
      other than the Default Path or any Conditional Edge Paths.
  - name: Step
    description: >-
      A
      [Step](https://help.logicgate.com/hc/en-us/articles/4402674059668-Create-a-Step)
      lives in a Workflow and is configured with a set of Sections, Subsections
      and Fields to create a form
  - name: Workflow
    description: >-
      A
      [Workflow](https://help.logicgate.com/hc/en-us/articles/4402683108756-Create-a-new-Workflow)
      is a combination of Steps, Paths, Fields, and routing logic that combine
      to form a system in an Application
  - name: Workflow Map
    description: >-
      A [Workflow
      Map](https://help.logicgate.com/hc/en-us/articles/4402683117588)
      represents a relationship between two Workflows
externalDocs:
  description: Developer Portal
  url: https://www.logicgate.com/developer/
paths:
  /api/v2/workflows/{id}:
    delete:
      tags:
        - Workflow
      summary: Delete a workflow
      description: >-
        **Permissions:** [Build Access to parent
        application](https://help.logicgate.com/hc/en-us/articles/4402683190164-Control-Build-Access-for-Applications)


        Delete a workflow specified by the ID in the URL path.
      operationId: deleteWorkflow
      parameters:
        - name: id
          in: path
          description: The unique ID of the workflow
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            A bearer authorization header containing a Risk Cloud API access
            token in the format `Authorization: Bearer TOKEN` — replace `TOKEN`
            with your actual access token.


            To obtain a Risk Cloud API access token, refer to [Obtain an API
            Access
            Token](https://www.logicgate.com/developer/risk-cloud-api-authentication/)
            in the [LogicGate Help Center](https://help.logicgate.com/hc/en-us).
          required: true
          schema:
            type: string
          example: Bearer TOKEN
      responses:
        '204':
          description: No Content
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppBadRequestResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppStatusResponse'
components:
  schemas:
    AppBadRequestResponse:
      type: object
      properties:
        property:
          type: string
        value:
          type: string
        message:
          type: string
    AppStatusResponse:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
  securitySchemes:
    ApiToken:
      type: http
      scheme: bearer
      bearerFormat: API Token
      description: Bearer token issued via the Authentication endpoints.
    basic:
      type: http
      scheme: basic
      description: >-
        HTTP Basic auth using base64-encoded Client Key:Secret Key credentials,
        used only to obtain or refresh a bearer token via the Authentication
        endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.